<template>
  <div>
    <section id="hero" class="fr-py-16w" style="background-color: #ececfe">
      <div class="fr-container fr-pt-6w">
        <div class="fr-grid-row fr-grid-row--gutters">
          <div class="fr-col-lg-5">
            <FrTitle larger black>
              La réservation de vos espaces publics simplifiée.
            </FrTitle>
            <FrSubTitle>
              La plateforme nationale pour la mise à disposition et la location
              des espaces publics des collectivités.
            </FrSubTitle>
            <a
              href="https://tally.so/r/wzy9eZ"
              class="fr-btn"
              rel="noopener"
              target="_blank"
              >Réserver une démo</a
            >
          </div>
          <div class="fr-col-lg-6 fr-ml-4w anct-box-shadow">
            <img
              class="anct-hero-img"
              src="/images/hero.png"
              alt=""
              style="max-width: 100%"
            />
          </div>
        </div>
      </div>
    </section>

    <section class="fr-my-16w">
      <div class="fr-container fr-pt-6w">
        <div class="fr-grid-row fr-grid-row--gutters">
          <div class="fr-col-lg-5 fr-mr-4w anct-box-shadow anct-img">
            <img src="/images/card.jpg" alt="" style="max-width: 100%" />
          </div>

          <div class="fr-col-lg-6">
            <FrTitle tag="h2" larger black
              >Gagnez du temps au quotidien</FrTitle
            >
            <p>
              Associations, entreprises et particuliers pourront réserver en
              toute autonomie vos espaces depuis notre site.
            </p>

            <ul class="fr-pl-0">
              <FrCheckListItem
                v-for="({ title, text }, index) in sections[0]"
                :key="`check-item-0${index}`"
                :title="title"
                :description="text"
              />
            </ul>
          </div>
        </div>
      </div>
    </section>

    <section class="fr-my-16w">
      <div class="fr-container fr-pt-6w">
        <div class="fr-grid-row fr-grid-row--gutters">
          <div class="fr-col-lg-5">
            <FrTitle tag="h2" larger black>Simplifiez-vous la tâche</FrTitle>
            <p>
              Côté administration, vous profitez d’un espace de travail sur
              lequel gérer vos réservations de A à Z.
            </p>

            <ul class="fr-pl-0">
              <FrCheckListItem
                v-for="({ title, text }, index) in sections[1]"
                :key="`check-item-0${index}`"
                :title="title"
                :description="text"
              />
            </ul>
          </div>

          <div
            class="fr-col-lg-6 fr-ml-4w fr-my-10w anct-box-shadow anct-img"
            style="height: fit-content"
          >
            <img src="/images/calendar.png" alt="" style="max-width: 100%" />
          </div>
        </div>
      </div>
    </section>

    <section class="fr-my-16w">
      <div class="fr-container fr-pt-6w">
        <div class="fr-grid-row fr-grid-row--gutters">
          <div
            class="fr-col-lg-6 fr-mr-4w fr-my-10w anct-box-shadow anct-img"
            style="height: fit-content"
          >
            <img src="/images/places.png" alt="" style="max-width: 100%" />
          </div>

          <div class="fr-col-lg-5">
            <FrTitle tag="h2" larger black>Valorisez votre territoire</FrTitle>
            <p>
              Côté collectivité, vous donnez les moyens aux acteurs locaux de se
              développer, et à votre territoire de rayonner.
            </p>

            <ul class="fr-pl-0">
              <FrCheckListItem
                v-for="({ title, text }, index) in sections[2]"
                :key="`check-item-0${index}`"
                :title="title"
                :description="text"
              />
            </ul>
          </div>
        </div>
      </div>
    </section>

    <section class="anct-flex-center video-container">
      <FrTitle tag="h2" larger black>Ils parlent de nous</FrTitle>
      <iframe
        width="560"
        height="315"
        src="https://www.youtube.com/embed/i-V3DgjsI8E"
      ></iframe>
      <p>
        Le département de l'Isère : La salle sur demande (ou comment rendre
        utiles tous les m² publics)
      </p>
    </section>

    <section class="fr-my-16w">
      <div
        class="fr-container fr-py-6w"
        style="text-align: center; background-color: #ebebeb"
      >
        <FrTitle tag="h2" larger black>Une question ?</FrTitle>
        <FrSubTitle>Contactez-nous</FrSubTitle>
        <a
          href="https://tally.so/r/mBKPzY"
          class="fr-btn"
          rel="noopener"
          target="_blank"
          >Nous écrire</a
        >
      </div>
    </section>
  </div>
</template>

<script>
import FrTitle from '~/components/ui/Title';
import FrSubTitle from '~/components/ui/SubTitle';
import FrCheckListItem from '~/components/ui/CheckListItem';
import { trackOutLink } from '~/tools/matomo';

const sections = [
  [
    {
      title: 'Prise de réservation faisable à toute heure',
      text: 'Sur les créneaux que vous aurez ouverts, sous réserve de validation de votre part',
    },
    {
      title:
        'Personnalisation des informations et options à afficher pour chaque salle',
      text: 'Prix, règlement intérieur, matériel disponible, forfait ménage, etc.',
    },
    {
      title: 'Récupération instantanée des documents de votre choix',
      text: 'Contrat, attestation d’assurance, SIRET, etc.',
    },
    {
      title: "Automatisation d'envoi de mails pré-rédigés",
      text: 'Mail de confirmation, mail de refus de réservation et mail de rappel',
    },
  ],
  [
    {
      title: 'Vue d’ensemble claire de tous les calendriers',
      text: 'Transparence des disponibilités des différents espaces et suivi en temps réel des réservations',
    },
    {
      title: 'Centralisation des informations et des documents des administrés',
      text: "Fiches d'identité, attestations d'assurance, contrats de location, etc.",
    },
    {
      title: 'Mutualisation des espaces de travail',
      text: 'Un seul espace pour tous les administrateurs et/ou toutes les équipes de votre choix',
    },
    {
      title: 'Contrôle sur chaque demande de réservation',
      text: 'Un système de validation fluide pour garder la main sur qui accède à vos espaces',
    },
  ],
  [
    {
      title: "Accès exhaustif aux données d'activité",
      text: 'Suivi et export des données de réservation, pour appuyer vos demandes de subventions',
    },
    {
      title: 'Mise à disposition gratuite ou payante',
      text: "Ajout du tarif de votre choix pour chaque espace, s'adaptant selon le type d'administré",
    },
    {
      title: 'Dynamisation de la vie locale',
      text: 'Des lieux en plus pour la vie sportive, artistique et culturelle',
    },
    {
      title: 'Amélioration du service public',
      text: 'Des réservations plus simples pour une meilleure expérience de vos services',
    },
  ],
];

export default {
  name: 'HomePage',

  components: {
    FrSubTitle,
    FrTitle,
    FrCheckListItem,
  },

  layout: 'raw',

  data() {
    return {
      sections,
    };
  },

  methods: {
    search() {
      this.$router.push({
        name: 'services',
        query: {
          search: this.searchString,
        },
      });
    },
    trackOutLink,
  },
};
</script>

<style>
.anct-box-shadow {
  padding: 0 !important;
  border-radius: 0.5rem;
  box-shadow: 0rem 1.75rem 2rem 0rem #636363;
}

.anct-flex-center {
  justify-content: center;
  flex-direction: column;
}
.video-container {
  padding: 16px;
}
.video-container p {
  margin-top: 24px;
}

@media screen and (max-width: 999px) {
  .anct-hero-img,
  .anct-img {
    display: none;
  }
}
</style>
